<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;

use App\Rules\{DNExists,HasStructuralObjectClass};

class EntryAdd extends FormRequest
{
	/**
	 * Get the validation rules that apply to the request.
	 *
	 * @return array<string, mixed>
	 */
	public function rules(): array
	{
		return [
			'dn' => new DNExists,
			'objectclass' => [
				'required',
				'array',
				new HasStructuralObjectClass,
			],
			'step' => 'int|min:1|max:2',
			'frame' => [
				'string',
				Rule::in(['create']),
			]
		];
	}
}