<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class EntryRequest extends FormRequest
{
	/**
	 * Get the validation rules that apply to the request.
	 *
	 * @return array<string, mixed>
	 */
	public function rules(): array
	{
		return config('server')
			->schema('attributetypes')
			->intersectByKeys($this->request)
			->transform(function($item) { return $item->validation; })
			->filter()
			->flatMap(function($item) { return $item; })
			->toArray();
	}
}